document.addEventListener('DOMContentLoaded', function(domEvent) {
    document.getElementById('button').onclick = function(clickEvent) {
        var xhr = new XMLHttpRequest(),
            resource = 'http://localhost/WebCodeGeeks-logo.png';

        xhr.onreadystatechange = function() {
            var finishedAndSuccess = this.readyState == 4 && this.status == 200,
                finishedAndError = this.readyState == 4 && this.status != 200;

            if (finishedAndSuccess) {
                var img = document.getElementById('img');
                var url = window.URL || window.webkitURL;
                img.src = url.createObjectURL(this.response);
            } else if (finishedAndError) {
                alert('An error occured in the request, check the log.');
            }
        }

        xhr.open('GET', resource);
        xhr.responseType = 'blob';

        xhr.send();
    }   
});
